diff --git a/doc/bashref.ps b/doc/bashref.ps
index 1d3bb836..7c2123f4 100644
--- a/doc/bashref.ps
+++ b/doc/bashref.ps
@@ -1,7 +1,7 @@
 %!PS-Adobe-2.0
 %%Creator: dvips(k) 5.991 Copyright 2011 Radical Eye Software
 %%Title: bashref.dvi
-%%CreationDate: Mon Feb 24 08:28:32 2014
+%%CreationDate: Mon Sep 15 12:01:59 2014
 %%Pages: 172
 %%PageOrder: Ascend
 %%BoundingBox: 0 0 612 792
@@ -12,7 +12,7 @@
 %DVIPSWebPage: (www.radicaleye.com)
 %DVIPSCommandLine: dvips -D 600 -t letter -o bashref.ps bashref.dvi
 %DVIPSParameters: dpi=600
-%DVIPSSource:  TeX output 2014.02.24:0828
+%DVIPSSource:  TeX output 2014.09.15:1201
 %%BeginProcSet: tex.pro 0 0
 %!
 /TeXDict 300 dict def TeXDict begin/N{def}def/B{bind def}N/S{exch}N/X{S
@@ -7528,19 +7528,19 @@ ifelse
 TeXDict begin 1 0 bop 150 1318 a Fv(Bash)64 b(Reference)j(Man)-5
 b(ual)p 150 1385 3600 34 v 2361 1481 a Fu(Reference)31
 b(Do)s(cumen)m(tation)i(for)d(Bash)2428 1589 y(Edition)h(4.3,)g(for)f
-Ft(Bash)g Fu(V)-8 b(ersion)31 b(4.3.)3180 1697 y(F)-8
-b(ebruary)30 b(2014)150 4935 y Fs(Chet)45 b(Ramey)-11
-b(,)46 b(Case)g(W)-11 b(estern)46 b(Reserv)l(e)g(Univ)l(ersit)l(y)150
-5068 y(Brian)f(F)-11 b(o)l(x,)45 b(F)-11 b(ree)45 b(Soft)l(w)l(are)h(F)
--11 b(oundation)p 150 5141 3600 17 v eop end
+Ft(Bash)g Fu(V)-8 b(ersion)31 b(4.3.)3118 1697 y(Septem)m(b)s(er)f
+(2014)150 4935 y Fs(Chet)45 b(Ramey)-11 b(,)46 b(Case)g(W)-11
+b(estern)46 b(Reserv)l(e)g(Univ)l(ersit)l(y)150 5068
+y(Brian)f(F)-11 b(o)l(x,)45 b(F)-11 b(ree)45 b(Soft)l(w)l(are)h(F)-11
+b(oundation)p 150 5141 3600 17 v eop end
 %%Page: 2 2
 TeXDict begin 2 1 bop 150 4279 a Fu(This)35 b(text)h(is)g(a)g(brief)f
 (description)h(of)f(the)h(features)g(that)g(are)g(presen)m(t)g(in)f
-(the)h(Bash)f(shell)h(\(v)m(ersion)150 4389 y(4.3,)c(2)e(F)-8
-b(ebruary)31 b(2014\).)150 4523 y(This)26 b(is)g(Edition)h(4.3,)i(last)
-e(up)s(dated)e(2)i(F)-8 b(ebruary)26 b(2014,)k(of)d Fr(The)f(GNU)h
-(Bash)f(Reference)i(Man)m(ual)p Fu(,)g(for)150 4633 y
-Ft(Bash)p Fu(,)h(V)-8 b(ersion)31 b(4.3.)150 4767 y(Cop)m(yrigh)m(t)602
+(the)h(Bash)f(shell)h(\(v)m(ersion)150 4389 y(4.3,)c(6)e(Septem)m(b)s
+(er)g(2014\).)150 4523 y(This)h(is)h(Edition)g(4.3,)i(last)f(up)s
+(dated)d(6)i(Septem)m(b)s(er)g(2014,)i(of)e Fr(The)f(GNU)i(Bash)f
+(Reference)h(Man)m(ual)p Fu(,)150 4633 y(for)d Ft(Bash)p
+Fu(,)g(V)-8 b(ersion)31 b(4.3.)150 4767 y(Cop)m(yrigh)m(t)602
 4764 y(c)577 4767 y Fq(\015)f Fu(1988{2014)35 b(F)-8
 b(ree)31 b(Soft)m(w)m(are)h(F)-8 b(oundation,)31 b(Inc.)390
 4902 y(P)m(ermission)21 b(is)f(gran)m(ted)h(to)g(cop)m(y)-8
@@ -7649,7 +7649,7 @@ h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g
 3838 y(3.4.1)93 b(P)m(ositional)32 b(P)m(arameters)20
 b Fn(:)d(:)f(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)
 h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h
-(:)f(:)50 b Fu(19)399 3948 y(3.4.2)93 b(Sp)s(ecial)30
+(:)f(:)50 b Fu(20)399 3948 y(3.4.2)93 b(Sp)s(ecial)30
 b(P)m(arameters)16 b Fn(:)h(:)f(:)f(:)g(:)h(:)f(:)h(:)f(:)h(:)f(:)g(:)h
 (:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)
 f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)46 b Fu(20)275 4057
@@ -7689,11 +7689,11 @@ h(:)f(:)g(:)h(:)f(:)56 b Fu(30)399 5153 y(3.5.9)93 b(Quote)31
 b(Remo)m(v)-5 b(al)9 b Fn(:)17 b(:)e(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)
 h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h
 (:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)39
-b Fu(31)275 5263 y(3.6)92 b(Redirections)26 b Fn(:)15
+b Fu(32)275 5263 y(3.6)92 b(Redirections)26 b Fn(:)15
 b(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g
 (:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)
 h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)55
-b Fu(31)p eop end
+b Fu(32)p eop end
 %%Page: -2 4
 TeXDict begin -2 3 bop 3699 -116 a Fu(ii)399 83 y(3.6.1)93
 b(Redirecting)31 b(Input)23 b Fn(:)14 b(:)i(:)f(:)g(:)h(:)f(:)h(:)f(:)g
@@ -7719,7 +7719,7 @@ f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)58
 b Fu(34)399 850 y(3.6.8)93 b(Duplicating)32 b(File)f(Descriptors)16
 b Fn(:)g(:)g(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)
 h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)46
-b Fu(34)399 960 y(3.6.9)93 b(Mo)m(ving)32 b(File)f(Descriptors)19
+b Fu(35)399 960 y(3.6.9)93 b(Mo)m(ving)32 b(File)f(Descriptors)19
 b Fn(:)d(:)g(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)
 h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)49
 b Fu(35)399 1069 y(3.6.10)93 b(Op)s(ening)29 b(File)j(Descriptors)f
@@ -7735,18 +7735,18 @@ b(Searc)m(h)i(and)f(Execution)d Fn(:)15 b(:)h(:)f(:)h(:)f(:)g(:)h(:)f
 (:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)56
 b Fu(36)399 1508 y(3.7.3)93 b(Command)29 b(Execution)i(En)m(vironmen)m
 (t)8 b Fn(:)16 b(:)g(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)
-h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)38 b Fu(36)399 1617
+h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)38 b Fu(37)399 1617
 y(3.7.4)93 b(En)m(vironmen)m(t)18 b Fn(:)d(:)h(:)f(:)g(:)h(:)f(:)h(:)f
 (:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)
 f(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f
-(:)h(:)47 b Fu(37)399 1727 y(3.7.5)93 b(Exit)31 b(Status)c
+(:)h(:)47 b Fu(38)399 1727 y(3.7.5)93 b(Exit)31 b(Status)c
 Fn(:)16 b(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h
 (:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)
 f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)57 b
 Fu(38)399 1836 y(3.7.6)93 b(Signals)15 b Fn(:)g(:)g(:)h(:)f(:)h(:)f(:)g
 (:)h(:)f(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)
 h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h
-(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)44 b Fu(38)275 1946
+(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)44 b Fu(39)275 1946
 y(3.8)92 b(Shell)30 b(Scripts)23 b Fn(:)15 b(:)h(:)f(:)h(:)f(:)g(:)h(:)
 f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f
 (:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)h(:)f(:)
@@ -7767,10 +7767,10 @@ h(:)f(:)h(:)f(:)39 b Fu(58)399 2654 y(4.3.1)93 b(The)30
 b(Set)g(Builtin)c Fn(:)16 b(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f
 (:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)
 g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)55 b
-Fu(58)399 2764 y(4.3.2)93 b(The)30 b(Shopt)f(Builtin)13
+Fu(59)399 2764 y(4.3.2)93 b(The)30 b(Shopt)f(Builtin)13
 b Fn(:)j(:)g(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)
 h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g
-(:)h(:)f(:)h(:)f(:)g(:)43 b Fu(62)275 2873 y(4.4)92 b(Sp)s(ecial)30
+(:)h(:)f(:)h(:)f(:)g(:)43 b Fu(63)275 2873 y(4.4)92 b(Sp)s(ecial)30
 b(Builtins)21 b Fn(:)16 b(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f
 (:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)h(:)f(:)
 g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)50
@@ -7803,7 +7803,7 @@ h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)41 b Fu(83)399
 4071 y(6.3.1)93 b(What)31 b(is)f(an)h(In)m(teractiv)m(e)h(Shell?)17
 b Fn(:)f(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)
 f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)47 b
-Fu(83)399 4180 y(6.3.2)93 b(Is)30 b(this)g(Shell)g(In)m(teractiv)m(e?)
+Fu(84)399 4180 y(6.3.2)93 b(Is)30 b(this)g(Shell)g(In)m(teractiv)m(e?)
 14 b Fn(:)k(:)e(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g
 (:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)
 44 b Fu(84)399 4290 y(6.3.3)93 b(In)m(teractiv)m(e)33
@@ -7830,7 +7830,7 @@ Fn(:)15 b(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f
 g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)58 b Fu(90)399 4947 y(6.8.1)93
 b(Directory)32 b(Stac)m(k)f(Builtins)14 b Fn(:)i(:)g(:)f(:)g(:)h(:)f(:)
 h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g
-(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)44 b Fu(90)275
+(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)44 b Fu(91)275
 5057 y(6.9)92 b(Con)m(trolling)31 b(the)g(Prompt)24 b
 Fn(:)15 b(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f
 (:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)g(:)h(:)f(:)h(:)f(:)
@@ -8173,7 +8173,7 @@ b(ariable)24 b(and)e(function)h(names.)630 4020 y(Also)31
 b(referred)f(to)h(as)f(an)h Ft(identifier)p Fu(.)150
 4186 y Ft(operator)96 b Fu(A)38 b Ft(control)28 b(operator)36
 b Fu(or)h(a)i Ft(redirection)27 b(operator)p Fu(.)61
-b(See)38 b(Section)g(3.6)h([Redirec-)630 4295 y(tions],)f(page)f(31,)i
+b(See)38 b(Section)g(3.6)h([Redirec-)630 4295 y(tions],)f(page)f(32,)i
 (for)d(a)g(list)h(of)f(redirection)h(op)s(erators.)58
 b(Op)s(erators)35 b(con)m(tain)j(at)f(least)630 4405
 y(one)31 b(unquoted)e Ft(metacharacter)p Fu(.)150 4570
@@ -8267,7 +8267,7 @@ b(the)g(expanded)g(tok)m(ens)h(in)m(to)g(lists)f(of)g(\014lenames)h
 (\(see)g(Section)f(3.5.8)i([Filename)g(Ex-)330 4660 y(pansion],)30
 b(page)h(30\))h(and)e(commands)g(and)g(argumen)m(ts.)199
 4806 y(5.)61 b(P)m(erforms)36 b(an)m(y)i(necessary)f(redirections)g
-(\(see)h(Section)f(3.6)h([Redirections],)i(page)e(31\))g(and)e(re-)330
+(\(see)h(Section)f(3.6)h([Redirections],)i(page)e(32\))g(and)e(re-)330
 4915 y(mo)m(v)m(es)c(the)e(redirection)h(op)s(erators)g(and)f(their)g
 (op)s(erands)f(from)h(the)h(argumen)m(t)f(list.)199 5062
 y(6.)61 b(Executes)31 b(the)g(command)f(\(see)h(Section)g(3.7)h
@@ -8410,7 +8410,7 @@ Ft(TEXTDOMAIN)p Fu(.mo.)150 4645 y Fk(3.1.3)63 b(Commen)m(ts)150
 (teractiv)m(e)j(shell)d(in)g(whic)m(h)g(the)g Ft(interactive_comments)
 16 b Fu(option)150 4902 y(to)40 b(the)f Ft(shopt)e Fu(builtin)h(is)h
 (enabled)g(\(see)h(Section)g(4.3.2)g([The)f(Shopt)f(Builtin],)k(page)e
-(62\),)i(a)d(w)m(ord)150 5011 y(b)s(eginning)26 b(with)g(`)p
+(63\),)i(a)d(w)m(ord)150 5011 y(b)s(eginning)26 b(with)g(`)p
 Ft(#)p Fu(')g(causes)h(that)f(w)m(ord)g(and)g(all)h(remaining)g(c)m
 (haracters)g(on)f(that)h(line)g(to)g(b)s(e)f(ignored.)150
 5121 y(An)43 b(in)m(teractiv)m(e)j(shell)e(without)f(the)g
@@ -8449,12 +8449,12 @@ b(page)e(3\).)54 b(The)35 b(\014rst)e(w)m(ord)i(generally)g(sp)s
 m(y)h(the)g Fm(posix)f Fu(1003.1)j Ft(waitpid)c Fu(function,)j(or)f
 (128)p Ft(+)p Fr(n)g Fu(if)g(the)g(command)150 1956 y(w)m(as)31
 b(terminated)g(b)m(y)f(signal)h Fr(n)p Fu(.)150 2157
-y Fk(3.2.2)63 b(Pip)s(elines)150 2304 y Fu(A)35 b Ft(pipeline)e
-Fu(is)j(a)f(sequence)h(of)f(simple)g(commands)g(separated)h(b)m(y)f
-(one)g(of)h(the)f(con)m(trol)i(op)s(erators)150 2413
-y(`)p Ft(|)p Fu(')31 b(or)f(`)p Ft(|&)p Fu('.)275 2550
-y(The)f(format)i(for)f(a)h(pip)s(eline)f(is)390 2686
-y Ft([time)46 b([-p]])h([!])g Fj(command1)e Ft([)j(|)f(or)g(|&)g
+y Fk(3.2.2)63 b(Pip)s(elines)150 2304 y Fu(A)21 b Ft(pipeline)d
+Fu(is)j(a)g(sequence)g(of)g(one)g(or)g(more)g(commands)f(separated)h(b)
+m(y)g(one)g(of)g(the)g(con)m(trol)h(op)s(erators)150
+2413 y(`)p Ft(|)p Fu(')31 b(or)f(`)p Ft(|&)p Fu('.)275
+2550 y(The)f(format)i(for)f(a)h(pip)s(eline)f(is)390
+2686 y Ft([time)46 b([-p]])h([!])g Fj(command1)e Ft([)j(|)f(or)g(|&)g
 Fj(command2)f Ft(])h(...)150 2822 y Fu(The)25 b(output)f(of)i(eac)m(h)g
 (command)f(in)f(the)i(pip)s(eline)e(is)i(connected)g(via)f(a)h(pip)s(e)
 e(to)i(the)f(input)f(of)h(the)h(next)150 2932 y(command.)40
@@ -8509,12 +8509,12 @@ TeXDict begin 9 14 bop 150 -116 a Fu(Chapter)30 b(3:)41
 b(Basic)32 b(Shell)e(F)-8 b(eatures)2292 b(9)275 299
 y(Eac)m(h)25 b(command)g(in)g(a)g(pip)s(eline)g(is)g(executed)h(in)f
 (its)g(o)m(wn)h(subshell)e(\(see)i(Section)g(3.7.3)h([Command)150
-408 y(Execution)36 b(En)m(vironmen)m(t],)i(page)e(36\).)58
+408 y(Execution)36 b(En)m(vironmen)m(t],)i(page)e(37\).)58
 b(The)36 b(exit)g(status)g(of)g(a)g(pip)s(eline)g(is)f(the)h(exit)h
 (status)f(of)g(the)150 518 y(last)27 b(command)f(in)f(the)i(pip)s
 (eline,)f(unless)g(the)g Ft(pipefail)e Fu(option)i(is)g(enabled)g
 (\(see)h(Section)g(4.3.1)h([The)150 628 y(Set)34 b(Builtin],)j(page)e
-(58\).)53 b(If)34 b Ft(pipefail)e Fu(is)i(enabled,)h(the)g(pip)s
+(59\).)53 b(If)34 b Ft(pipefail)e Fu(is)i(enabled,)h(the)g(pip)s
 (eline's)f(return)f(status)h(is)h(the)f(v)-5 b(alue)35
 b(of)150 737 y(the)d(last)h(\(righ)m(tmost\))h(command)e(to)h(exit)g
 (with)e(a)i(non-zero)f(status,)h(or)f(zero)h(if)f(all)h(commands)f
@@ -8575,7 +8575,7 @@ b(Eac)m(h)35 b(construct)g(b)s(egins)f(with)150 4659
 y(a)k(reserv)m(ed)f(w)m(ord)h(or)f(con)m(trol)i(op)s(erator)f(and)f(is)
 g(terminated)h(b)m(y)f(a)h(corresp)s(onding)f(reserv)m(ed)g(w)m(ord)150
 4769 y(or)44 b(op)s(erator.)81 b(An)m(y)44 b(redirections)g(\(see)h
-(Section)g(3.6)g([Redirections],)j(page)d(31\))g(asso)s(ciated)g(with)
+(Section)g(3.6)g([Redirections],)j(page)d(32\))g(asso)s(ciated)g(with)
 150 4878 y(a)g(comp)s(ound)e(command)i(apply)f(to)h(all)h(commands)e
 (within)g(that)h(comp)s(ound)e(command)i(unless)150 4988
 y(explicitly)32 b(o)m(v)m(erridden.)275 5121 y(In)20
@@ -8690,7 +8690,7 @@ b(to)i(the)g(\014rst)f Fr(pattern)630 2042 y Fu(that)42
 b(matc)m(hes)g Fr(w)m(ord)p Fu(.)73 b(If)41 b(the)g(shell)g(option)h
 Ft(nocasematch)c Fu(\(see)k(the)g(description)f(of)630
 2152 y Ft(shopt)34 b Fu(in)h(Section)h(4.3.2)h([The)e(Shopt)f
-(Builtin],)k(page)e(62\))g(is)g(enabled,)g(the)g(matc)m(h)g(is)630
+(Builtin],)k(page)e(63\))g(is)g(enabled,)g(the)g(matc)m(h)g(is)630
 2262 y(p)s(erformed)29 b(without)i(regard)g(to)g(the)g(case)h(of)f
 (alphab)s(etic)g(c)m(haracters.)44 b(The)30 b(`)p Ft(|)p
 Fu(')h(is)g(used)630 2371 y(to)e(separate)g(m)m(ultiple)g(patterns,)g
@@ -8822,7 +8822,7 @@ Fu(')h(op)s(erator)h(is)f(iden)m(tical)h(to)g(`)p Ft(==)p
 Fu('.)46 b(If)31 b(the)h(shell)h(option)f Ft(nocasematch)630
 737 y Fu(\(see)42 b(the)f(description)g(of)h Ft(shopt)d
 Fu(in)i(Section)h(4.3.2)h([The)e(Shopt)f(Builtin],)45
-b(page)d(62\))630 847 y(is)e(enabled,)i(the)e(matc)m(h)h(is)e(p)s
+b(page)d(63\))630 847 y(is)e(enabled,)i(the)e(matc)m(h)h(is)e(p)s
 (erformed)g(without)g(regard)h(to)h(the)f(case)g(of)g(alphab)s(etic)630
 956 y(c)m(haracters.)h(The)28 b(return)e(v)-5 b(alue)28
 b(is)g(0)g(if)g(the)g(string)g(matc)m(hes)h(\(`)p Ft(==)p
@@ -8844,7 +8844,7 @@ b(is)g(0)g(if)f(the)h(string)g(matc)m(hes)g(the)g(pattern,)g(and)f(1)h
 (return)630 1864 y(v)-5 b(alue)40 b(is)g(2.)68 b(If)39
 b(the)h(shell)f(option)h Ft(nocasematch)d Fu(\(see)j(the)g(description)
 g(of)f Ft(shopt)f Fu(in)630 1974 y(Section)32 b(4.3.2)g([The)f(Shopt)f
-(Builtin],)i(page)g(62\))g(is)f(enabled,)g(the)g(matc)m(h)h(is)e(p)s
+(Builtin],)i(page)g(63\))g(is)f(enabled,)g(the)g(matc)m(h)h(is)e(p)s
 (erformed)630 2084 y(without)36 b(regard)g(to)h(the)f(case)h(of)f
 (alphab)s(etic)h(c)m(haracters.)59 b(An)m(y)36 b(part)g(of)h(the)f
 (pattern)630 2193 y(ma)m(y)31 b(b)s(e)f(quoted)h(to)g(force)g(the)g
@@ -8955,7 +8955,7 @@ b(example,)150 4296 y(the)f(output)f(of)g(all)h(the)g(commands)f(in)g
 4737 y Fu(Placing)30 b(a)f(list)g(of)g(commands)f(b)s(et)m(w)m(een)i
 (paren)m(theses)e(causes)i(a)f(subshell)e(en)m(vironmen)m(t)630
 4847 y(to)k(b)s(e)e(created)j(\(see)f(Section)g(3.7.3)h([Command)d
-(Execution)i(En)m(vironmen)m(t],)g(page)f(36\),)630 4956
+(Execution)i(En)m(vironmen)m(t],)g(page)f(37\),)630 4956
 y(and)d(eac)m(h)h(of)g(the)f(commands)g(in)g Fr(list)j
 Fu(to)f(b)s(e)d(executed)j(in)e(that)h(subshell.)38 b(Since)28
 b(the)f Fr(list)630 5066 y Fu(is)i(executed)g(in)f(a)h(subshell,)g(v)-5
@@ -9016,7 +9016,7 @@ g(and)e(that)h(\014le)f(descriptor)g(is)g(assigned)h(to)g
 Ft(NAME)p Fu([1].)150 3488 y(This)31 b(pip)s(e)g(is)h(established)g(b)s
 (efore)g(an)m(y)g(redirections)g(sp)s(eci\014ed)g(b)m(y)f(the)i
 (command)e(\(see)i(Section)g(3.6)150 3597 y([Redirections],)25
-b(page)e(31\).)39 b(The)21 b(\014le)h(descriptors)g(can)g(b)s(e)f
+b(page)e(32\).)39 b(The)21 b(\014le)h(descriptors)g(can)g(b)s(e)f
 (utilized)i(as)f(argumen)m(ts)h(to)f(shell)g(commands)150
 3707 y(and)33 b(redirections)g(using)g(standard)f(w)m(ord)h
 (expansions.)49 b(The)33 b(\014le)g(descriptors)g(are)g(not)h(a)m(v)-5
diff --git a/doc/bashref.ps b/doc/bashref.ps
index 1d3bb836..7c2123f4 100644
--- a/doc/bashref.ps
+++ b/doc/bashref.ps
@@ -10962,7 +10969,7 @@ b(Builtin)150 870 y(commands)f(are)h(necessary)g(to)g(implemen)m(t)g
 (con)m(trol)i(facilities)g(\(see)f(Section)h(7.2)f([Job)f(Con)m(trol)h
 (Builtins],)150 1583 y(page)40 b(98\),)j(the)c(directory)h(stac)m(k)g
 (\(see)g(Section)g(6.8.1)h([Directory)g(Stac)m(k)f(Builtins],)i(page)e
-(90\),)j(the)150 1692 y(command)23 b(history)h(\(see)g(Section)g(9.2)h
+(91\),)j(the)150 1692 y(command)23 b(history)h(\(see)g(Section)g(9.2)h
 ([Bash)f(History)g(Builtins],)h(page)g(133\),)h(and)d(the)h
 (programmable)150 1802 y(completion)32 b(facilities)g(\(see)g(Section)f
 (8.7)g([Programmable)g(Completion)g(Builtins],)g(page)h(126\).)275
diff --git a/doc/bashref.ps b/doc/bashref.ps
index 1d3bb836..7c2123f4 100644
--- a/doc/bashref.ps
+++ b/doc/bashref.ps
@@ -12964,7 +12984,7 @@ b Fu(A)31 b(colon-separated)h(list)f(of)g(enabled)f(shell)h(options.)41
 b(Eac)m(h)31 b(w)m(ord)f(in)g(the)h(list)g(is)g(a)g(v)-5
 b(alid)630 408 y(argumen)m(t)37 b(for)g(the)g Ft(-s)f
 Fu(option)i(to)f(the)g Ft(shopt)f Fu(builtin)g(command)h(\(see)g
-(Section)h(4.3.2)630 518 y([The)e(Shopt)g(Builtin],)i(page)f(62\).)60
+(Section)h(4.3.2)630 518 y([The)e(Shopt)g(Builtin],)i(page)f(63\).)60
 b(The)36 b(options)h(app)s(earing)f(in)g Ft(BASHOPTS)e
 Fu(are)i(those)630 628 y(rep)s(orted)e(as)h(`)p Ft(on)p
 Fu(')f(b)m(y)h(`)p Ft(shopt)p Fu('.)53 b(If)34 b(this)g(v)-5
@@ -12997,7 +13017,7 @@ b(The)25 b(n)m(um)m(b)s(er)g(of)h(parameters)g(to)g(the)g(curren)m(t)
 2522 y(is)g(pushed)f(on)m(to)i Ft(BASH_ARGC)p Fu(.)59
 b(The)37 b(shell)g(sets)h Ft(BASH_ARGC)c Fu(only)k(when)e(in)h
 (extended)630 2632 y(debugging)23 b(mo)s(de)f(\(see)h(Section)g(4.3.2)i
-([The)d(Shopt)g(Builtin],)j(page)e(62)h(for)e(a)h(description)630
+([The)d(Shopt)g(Builtin],)j(page)e(63)h(for)e(a)h(description)630
 2741 y(of)31 b(the)f Ft(extdebug)e Fu(option)j(to)g(the)g
 Ft(shopt)e Fu(builtin\).)150 2898 y Ft(BASH_ARGV)630
 3007 y Fu(An)24 b(arra)m(y)g(v)-5 b(ariable)25 b(con)m(taining)h(all)f
@@ -13010,7 +13030,7 @@ Ft(shopt)e Fu(builtin\).)150 2898 y Ft(BASH_ARGV)630
 (on)m(to)i Ft(BASH_ARGV)p Fu(.)66 b(The)40 b(shell)630
 3446 y(sets)28 b Ft(BASH_ARGV)e Fu(only)i(when)f(in)h(extended)g
 (debugging)g(mo)s(de)g(\(see)h(Section)f(4.3.2)i([The)630
-3555 y(Shopt)i(Builtin],)h(page)g(62)g(for)f(a)h(description)f(of)h
+3555 y(Shopt)i(Builtin],)h(page)g(63)g(for)f(a)h(description)f(of)h
 (the)f Ft(extdebug)e Fu(option)j(to)g(the)f Ft(shopt)630
 3665 y Fu(builtin\).)150 3821 y Ft(BASH_CMDS)630 3931
 y Fu(An)i(asso)s(ciativ)m(e)i(arra)m(y)f(v)-5 b(ariable)35
@@ -13029,7 +13049,7 @@ g(the)f(result)h(of)g(a)g(trap,)i(in)d(whic)m(h)g(case)i(it)f(is)g(the)
 150 4902 y Ft(BASH_COMPAT)630 5011 y Fu(The)i(v)-5 b(alue)34
 b(is)f(used)g(to)h(set)f(the)h(shell's)g(compatibilit)m(y)h(lev)m(el.)
 51 b(See)34 b(Section)g(4.3.2)h([The)630 5121 y(Shopt)40
-b(Builtin],)45 b(page)c(62,)k(for)c(a)g(description)g(of)g(the)g(v)-5
+b(Builtin],)45 b(page)c(63,)k(for)c(a)g(description)g(of)g(the)g(v)-5
 b(arious)41 b(compatibilit)m(y)i(lev)m(els)630 5230 y(and)31
 b(their)g(e\013ects.)45 b(The)31 b(v)-5 b(alue)31 b(ma)m(y)h(b)s(e)f(a)
 h(decimal)g(n)m(um)m(b)s(er)e(\(e.g.,)j(4.2\))g(or)e(an)h(in)m(teger)
@@ -13144,7 +13164,7 @@ Ft(select)e Fu(command)h(to)i(determine)f(the)f(terminal)i(width)d
 (when)h(prin)m(ting)630 3258 y(selection)39 b(lists.)63
 b(Automatically)41 b(set)d(if)f(the)h Ft(checkwinsize)d
 Fu(option)j(is)f(enabled)h(\(see)630 3367 y(Section)44
-b(4.3.2)h([The)e(Shopt)g(Builtin],)k(page)d(62\),)k(or)43
+b(4.3.2)h([The)e(Shopt)g(Builtin],)k(page)d(63\),)k(or)43
 b(in)g(an)g(in)m(teractiv)m(e)j(shell)e(up)s(on)630 3477
 y(receipt)31 b(of)g(a)g Ft(SIGWINCH)p Fu(.)150 3660 y
 Ft(COMP_CWORD)630 3769 y Fu(An)38 b(index)g(in)m(to)h
@@ -13487,7 +13507,7 @@ Fu(command)i(to)g(determine)g(the)g(column)g(length)g(for)g(prin)m
 (ting)630 4843 y(selection)c(lists.)63 b(Automatically)41
 b(set)d(if)f(the)h Ft(checkwinsize)d Fu(option)j(is)f(enabled)h(\(see)
 630 4952 y(Section)44 b(4.3.2)h([The)e(Shopt)g(Builtin],)k(page)d
-(62\),)k(or)43 b(in)g(an)g(in)m(teractiv)m(e)j(shell)e(up)s(on)630
+(63\),)k(or)43 b(in)g(an)g(in)m(teractiv)m(e)j(shell)e(up)s(on)630
 5062 y(receipt)31 b(of)g(a)g Ft(SIGWINCH)p Fu(.)150 5230
 y Ft(MACHTYPE)96 b Fu(A)26 b(string)g(that)h(fully)f(describ)s(es)f
 (the)h(system)g(t)m(yp)s(e)h(on)f(whic)m(h)f(Bash)i(is)f(executing,)i
@@ -13555,7 +13575,7 @@ b(ariable)31 b(is)g(not)f(set,)i(the)e Ft(select)f Fu(command)h
 b Fu(The)24 b(v)-5 b(alue)25 b(is)f(the)h(prompt)e(prin)m(ted)h(b)s
 (efore)g(the)h(command)f(line)h(is)f(ec)m(ho)s(ed)i(when)d(the)i
 Ft(-x)630 4604 y Fu(option)32 b(is)f(set)h(\(see)g(Section)h(4.3.1)g
-([The)e(Set)g(Builtin],)i(page)f(58\).)45 b(The)31 b(\014rst)f(c)m
+([The)e(Set)g(Builtin],)i(page)f(59\).)45 b(The)31 b(\014rst)f(c)m
 (haracter)630 4714 y(of)k Ft(PS4)g Fu(is)g(replicated)i(m)m(ultiple)f
 (times,)h(as)e(necessary)-8 b(,)37 b(to)e(indicate)g(m)m(ultiple)g(lev)
 m(els)h(of)630 4823 y(indirection.)41 b(The)30 b(default)h(is)f(`)p
@@ -13596,7 +13616,7 @@ b(full)h(pathname)g(to)h(the)f(shell)g(is)g(k)m(ept)g(in)g(this)g(en)m
 41 b(Eac)m(h)31 b(w)m(ord)f(in)g(the)h(list)g(is)g(a)g(v)-5
 b(alid)630 2248 y(argumen)m(t)28 b(for)f(the)h Ft(-o)e
 Fu(option)i(to)g(the)g Ft(set)e Fu(builtin)h(command)g(\(see)i(Section)
-f(4.3.1)h([The)630 2358 y(Set)g(Builtin],)h(page)f(58\).)42
+f(4.3.1)h([The)630 2358 y(Set)g(Builtin],)h(page)f(59\).)42
 b(The)28 b(options)h(app)s(earing)f(in)g Ft(SHELLOPTS)e
 Fu(are)j(those)h(rep)s(orted)630 2467 y(as)g(`)p Ft(on)p
 Fu(')f(b)m(y)h(`)p Ft(set)g(-o)p Fu('.)40 b(If)29 b(this)h(v)-5
@@ -13688,7 +13708,7 @@ Fj(shopt_option)p Ft(])d(-c)j Fj(string)f Ft([)p Fj(ar-)390
 Fj(shopt_option)p Ft(])d([)p Fj(ar-)390 1432 y(gument)i
 Ft(...)o(])275 1561 y Fu(All)31 b(of)g(the)f(single-c)m(haracter)k
 (options)d(used)f(with)g(the)h Ft(set)f Fu(builtin)g(\(see)h(Section)h
-(4.3.1)g([The)f(Set)150 1670 y(Builtin],)45 b(page)c(58\))i(can)e(b)s
+(4.3.1)g([The)f(Set)150 1670 y(Builtin],)45 b(page)c(59\))i(can)e(b)s
 (e)f(used)h(as)g(options)g(when)f(the)i(shell)f(is)g(in)m(v)m(ok)m(ed.)
 74 b(In)41 b(addition,)j(there)150 1780 y(are)38 b(sev)m(eral)h(m)m
 (ulti-c)m(haracter)h(options)d(that)h(y)m(ou)g(can)g(use.)61
@@ -13698,7 +13718,7 @@ b(These)38 b(options)f(m)m(ust)h(app)s(ear)e(on)i(the)150
 2147 y Fu(Arrange)j(for)g(the)g(debugger)g(pro\014le)g(to)h(b)s(e)e
 (executed)i(b)s(efore)f(the)g(shell)g(starts.)49 b(T)-8
 b(urns)630 2257 y(on)37 b(extended)g(debugging)g(mo)s(de)g(\(see)h
-(Section)g(4.3.2)g([The)f(Shopt)g(Builtin],)i(page)f(62)630
+(Section)g(4.3.2)g([The)f(Shopt)g(Builtin],)i(page)f(63)630
 2366 y(for)30 b(a)h(description)f(of)h(the)f Ft(extdebug)f
 Fu(option)h(to)h(the)g Ft(shopt)e Fu(builtin\).)150 2514
 y Ft(--dump-po-strings)630 2623 y Fu(A)37 b(list)g(of)f(all)i
